Ask Your Question
1

Syntax error at '{'; expected '}' puppet

asked 2013-06-19 17:58:57 -0500

timfallkrux gravatar image

I'm getting a very strange error on my puppet manifests

Syntax error at '{'; expected '}' at /home/host_home/Code/puppet-manifests/env/development/krux-modules/kpypi/manifests/init.pp:8 on node http://vagrant-ops.krxd.net

Here is what init.pp looks like:

class kpypi inherits kpypi::params {
    include kpypi::params
    include kapache2
    include Kbase::packages
    include kutil

    kapache2::vhost_config_entry { "$my_name":
        source => "puppet:///modules/${my_name}/${vhost_config_file}",
    }

    #Create our docroot for the kpypi vhost and put our files in it.
    file { "$vhost_docroot":
        ensure => directory,
        recurse => true,
        mode => 555,
        ownder => 'root',
        group => 'root',

    }

    file { "$htpasswd_file":
        ensure => file,
        source => "puppet:///modules/${my_name}/${htpasswd_file}",
    }

    kutil::s3sync ...
(more)
edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
2

answered 2013-06-19 18:06:17 -0500

ramindk gravatar image

Class names can't have capital letters in them. See line #4.

edit flag offensive delete link more

Comments

I just noticed that. Good eye.

timfallkrux gravatar imagetimfallkrux ( 2013-06-19 18:25:02 -0500 )edit

Excellent. fwiw, puppet parser validate youcode.pp in 2.7 and 3.2 gave the same error, but couldn't localize to the actual line that was causing the problem.

ramindk gravatar imageramindk ( 2013-06-19 18:42:50 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-06-19 17:58:57 -0500

Seen: 2,145 times

Last updated: Jun 19 '13